repos:
  - repo: https://github.com/ambv/black
    rev: 19.3b0
    hooks:
      - id: black
        language_version: python3.7
        # override until resolved: https://github.com/ambv/black/issues/402
        files: \.pyi?$
        types: []
  - repo: https://github.com/asottile/seed-isort-config
    rev: v1.7.0
    hooks:
      - id: seed-isort-config
  - repo: https://github.com/pre-commit/mirrors-isort
    rev: v4.3.15
    hooks:
      - id: isort
        language_version: python3.7

  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v2.1.0
    hooks:
      - id: trailing-whitespace
      - id: end-of-file-fixer
      - id: debug-statements
      - id: flake8
        language_version: python3.7
